<?php
/**
 * ------------------------------------------------------------------------
 * JA Healthcare Template
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2018 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
*/


defined('_JEXEC') or die;
?>

<!DOCTYPE html>
<html lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>"
	  class='<jdoc:include type="pageclass" />'>

<head>
	<jdoc:include type="head" />
	<?php $this->loadBlock('head') ?>
</head>

<body>

<div class="t3-wrapper"> <!-- Need this wrapper for off-canvas menu. Remove if you don't use of-canvas -->
  <div class="container-hd">
    
    <?php $this->loadBlock('top-bar') ?>

    <?php $this->loadBlock('header') ?>

    <?php $this->loadBlock('mainnav') ?>

    <?php $this->loadBlock('slideshow') ?>

    <?php $this->loadBlock('spotlight-1') ?>

    <?php $this->loadBlock('masthead') ?>

    <?php $this->loadBlock('section') ?>

    <?php $this->loadBlock('mainbody-nosidebar') ?>

    <?php $this->loadBlock('navhelper') ?>

    <?php $this->loadBlock('footer') ?>

  </div>
</div>

</body>

</html>