<?php
/**
 * ------------------------------------------------------------------------
 * JA Healthcare Template
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2018 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

defined('_JEXEC') or die;
$db = JFactory::getDbo();
?>

<div class="search-results<?php echo $this->pageclass_sfx; ?>">
	<?php foreach ($this->results as $result) : ?>
		<div class="result-item clearfix">
			<h3 class="result-title">
				<?php echo $this->pagination->limitstart + $result->count . '. '; ?>
				<?php if ($result->href) : ?>
					<a href="<?php echo JRoute::_($result->href); ?>"<?php if ($result->browsernav == 1) : ?> target="_blank"<?php endif; ?>>
						<?php // $result->title should not be escaped in this case, as it may ?>
						<?php // contain span HTML tags wrapping the searched terms, if present ?>
						<?php // in the title. ?>
						<?php echo $result->title; ?>
					</a>
				<?php else : ?>
					<?php // see above comment: do not escape $result->title ?>
					<?php echo $result->title; ?>
				<?php endif; ?>
			</h3>
			<?php if ($result->section) : ?>
				<div class="result-category">
					<span class="small<?php echo $this->pageclass_sfx; ?>">
						(<?php echo $this->escape($result->section); ?>)
					</span>
				</div>
			<?php endif; ?>
			<p class="result-text">
				<?php echo $result->text; ?>
			</p>
			<?php if ($this->params->get('show_date') && !empty($result->created)) : ?>
				<p class="result-created<?php echo $this->pageclass_sfx; ?>">
					<?php echo JText::sprintf('JGLOBAL_CREATED_DATE_ON', '<strong>' . $result->created . '</strong>'); ?>
				</p>
			<?php endif; ?>
		</div>
	<?php endforeach; ?>
</div>

<div class="pagination-wrap">
	<?php echo $this->pagination->getPagesLinks(); ?>
</div>
