<?php
/**
* @package     Joomla.Site
* @subpackage  mod_articles_popular
*
* @copyright   (C) 2006 Open Source Matters, Inc. <https://www.joomla.org>
* @license     GNU General Public License version 2 or later; see LICENSE.txt
*/
defined('_JEXEC') or die;
if (!isset($list)) {
if (isset($hitsDisabledMessage)) {
echo $hitsDisabledMessage;
}
return;
}
?>
<div class="row">
    <?php foreach ($list as $item) : ?>
    <div class="col-sm-4 col-md-3">
        <div class="item ja-animate">
            <img class="image_intro" src="<?php echo $images->image_intro; ?>" alt="<?php echo $images->image_intro_alt; ?>"/>
            <?php $images = json_decode($item->images); ?>
            <a href="<?php echo $item->link; ?>" itemprop="url">
                <span itemprop="name">
                    <?php echo $item->title; ?>
                </span>
            </a>
            
            <div class="mod-articles-category-date">
                <i class="fa fa-calendar"></i><?php echo $item->displayDate; ?>
            </div>
        </div>
    </div>
    
    <?php endforeach; ?>
</div>